Build fails silently to download boot images if tftp proxy isn't set in sebnets

12/20/2013 05:09 PM - Edson Manners

Status: New   

Priority: Normal   

Assignee:    

Category: TFTP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The 'build' button for a host should not give a successful reply if the TFTP proxy does not:

1) The TFTP proxy for a given subnet is not defined.

2) As a result of #1 the required images for /var/lib/tftpboot/boot are not downloaded

#1 This actually constitutes an unlogged error in for Foreman. I have 2 copies of Foreman. In the working copy I get this in the

production.log:

Started GET "/hosts/kvm3.edsonmanners.com/setBuild" for 192.168.5.3 at 2013-12-20 11:41:23 -0500

Processing by HostsController#setBuild as HTML

Parameters: {"id"=>"kvm3.edsonmanners.com"}

Add the TFTP configuration for kvm3.edsonmanners.com

Fetching required TFTP boot files for kvm3.edsonmanners.com

Redirected to https://localhost:8000/hosts/kvm3.edsonmanners.com

Completed 302 Found in 590ms (ActiveRecord: 47.3ms)

In the copy of foreman without the TFTP proxy defined in my subnet I get nothing. No error saying:

"TFTP Proxy for subnet xxxx for host yyyyy is not defined." This should also be added as one of these red windows in the Foreman

GUI.

History

#1 - 12/22/2013 03:47 PM - Ohad Levy

- Priority changed from High to Normal

- translation missing: en.field_release deleted (1)

thanks, we'll try to get it fixed before 1.4
